#!/bin/sh
# the next line restarts using wish \
exec wish "$0" "$@"

set font "-adobe-helvetica-medium-r-*-*-10-*-*-*-*-*-*-*"
set MAX [exec xvidmode -n]

set tk_strictMotif 1
wm geometry . 55x30
wm title . vmode

button .menu -relief raised -borderwidth 0 -justify center -bg gray80
pack .menu -expand yes -fill both

menubutton .menu.file -text "vmode" -menu .menu.file.m -underline 0 -justify center -font $font -bg gray80
menu .menu.file.m

for {set i 0 } {$i <= $MAX} {incr i} {
    set NAME [exec xvidmode -l $i]
    .menu.file.m add command -label "$NAME" -underline 0 -font $font -command "exec xvidmode -s -x $NAME"
}

pack .menu.file -expand yes -fill both
